## org.biojava.bridge.Biocorba.Seqcore
Class SeqImpl

    java.lang.Object
      |
      +--org.biojava.bridge.GNOME.UnknownImpl
            |
            +--org.biojava.bridge.Biocorba.Seqcore.AnonymousSeqImpl
                  |
                  +--org.biojava.bridge.Biocorba.Seqcore.PrimarySeqImpl
                        |
                        +--org.biojava.bridge.Biocorba.Seqcore.SeqImpl

public class SeqImpl
extends PrimarySeqImpl
implements _Seq_Operations

Constructor Summary
`SeqImpl(Sequence sequence)`
`SeqImpl(Sequence sequence, java.lang.String id)`
`SeqImpl(Sequence sequence, java.lang.String displayID, java.lang.String primaryID, java.lang.String accessionNumber)`

Method Summary
`SeqFeatureIterator` `all_features_iterator(org.omg.CORBA.portable.ObjectImpl seq)`
`SeqFeature[]` `all_features(org.omg.CORBA.portable.ObjectImpl seq)`
`SeqFeatureIterator` `features_region_iterator(org.omg.CORBA.portable.ObjectImpl seq, int start, int end)`
`SeqFeature[]` `features_region(org.omg.CORBA.portable.ObjectImpl seq, int start, int end)`
`PrimarySeq` `get_PrimarySeq(org.omg.CORBA.portable.ObjectImpl seq)`
`Sequence` `getSequence()`
`int` `max_feature_request(org.omg.CORBA.portable.ObjectImpl seq)`

Methods inherited from class org.biojava.bridge.Biocorba.Seqcore.PrimarySeqImpl
`accession_number, display_id, primary_id, version`

Methods inherited from class org.biojava.bridge.Biocorba.Seqcore.AnonymousSeqImpl
`get_seq, get_subseq, getSymbolList, length, max_request_length, type`

Methods inherited from class org.biojava.bridge.GNOME.UnknownImpl
`query_interface, ref, unref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeqImpl

    public SeqImpl(Sequence sequence)
            throws IllegalAlphabetException

### SeqImpl

    public SeqImpl(Sequence sequence,
                   java.lang.String id)
            throws IllegalAlphabetException

### SeqImpl

    public SeqImpl(Sequence sequence,
                   java.lang.String displayID,
                   java.lang.String primaryID,
                   java.lang.String accessionNumber)
            throws IllegalAlphabetException

Method Detail

### getSequence

    public Sequence getSequence()

### all_features

    public SeqFeature[] all_features(org.omg.CORBA.portable.ObjectImpl seq)
                              throws RequestTooLarge

  Specified by:
    all_features in interface _Seq_Operations

### all_features_iterator

    public SeqFeatureIterator all_features_iterator(org.omg.CORBA.portable.ObjectImpl seq)

  Specified by:
    all_features_iterator in interface _Seq_Operations

### features_region

    public SeqFeature[] features_region(org.omg.CORBA.portable.ObjectImpl seq,
                                        int start,
                                        int end)
                                 throws OutOfRange,
                                        UnableToProcess,
                                        RequestTooLarge

  Specified by:
    features_region in interface _Seq_Operations

### features_region_iterator

    public SeqFeatureIterator features_region_iterator(org.omg.CORBA.portable.ObjectImpl seq,
                                                       int start,
                                                       int end)
                                                throws OutOfRange,
                                                       UnableToProcess

  Specified by:
    features_region_iterator in interface _Seq_Operations

### max_feature_request

    public int max_feature_request(org.omg.CORBA.portable.ObjectImpl seq)

  Specified by:
    max_feature_request in interface _Seq_Operations

### get_PrimarySeq

    public PrimarySeq get_PrimarySeq(org.omg.CORBA.portable.ObjectImpl seq)

  Specified by:
    get_PrimarySeq in interface _Seq_Operations